{- |
  Atom is a Haskell DSL for designing hard realtime embedded programs.  Based
  on conditional term rewriting, atom will compile a collection of atomic state
  transition rules to a C program with constant memory use and deterministic
  execution time.
-}

module Language.Atom
  ( module Language.Atom.Code
  , module Language.Atom.Compile
  , module Language.Atom.Common
  , module Language.Atom.Language
  ) where

import Language.Atom.Code
import Language.Atom.Compile
import Language.Atom.Common
import Language.Atom.Language
